petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMLabelGather

Gather all label values from leafs into roots

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelGather(DMLabel label, PetscSF sf, DMLabel *labelNew)

### Input Parameters

| label | - the DMLabel
| point | - the Star Forest point communication map

### Input Parameters

| label | - the new DMLabel with localised leaf values

Note: This is the inverse operation to DMLabelDistribute.

### See Also

DMLabelDistribute()

Level:developer
Location:src/dm/labeldmlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages